package com.moonapps.commandroid;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.util.Date;

import android.util.Log;

public class LogManager {

	public static final int debugMode = 0;
	
	public static final int noLog = 0;
	public static final int logCat = 1;
	public static final int logSD = 2;
	public static final int logBoth = 3;

	public static final String logOutput="sdcard/commandroidlog.txt";
	
	
	
	public static void print(int relevance, String tag, String message){
		
		switch (LogManager.debugMode){
		
		case (LogManager.logCat):
			LogManager.printLogCat(relevance, tag, message); 
			break;
		case (LogManager.logSD):
			LogManager.printLogSD(relevance, tag, message); 
			break;
		case (LogManager.logBoth):
			LogManager.printLogCat(relevance, tag, message);
			LogManager.printLogSD(relevance, tag, message);
			break;
		
		
		}
		
	}

	
	public static void printLogCat(int relevance, String tag, String message){

		switch (relevance){
		
		case (Log.DEBUG):
			Log.d(tag, message); break;
		case (Log.ERROR):
			Log.e(tag, message); break;
		case (Log.INFO):
			Log.i(tag, message); break;
		case (Log.VERBOSE):
			Log.v(tag, message); break;
		case (Log.WARN):
			Log.w(tag, message); break;
		
		}
			
			
			
	
	}
	
	public static void printLogSD(int relevance, String tag, String message){
       
		   File logFile = new File(LogManager.logOutput);
		   if (!logFile.exists())
		   {
		      try
		      {
		         logFile.createNewFile();
		      } 
		      catch (IOException e)
		      {
		         // TODO Auto-generated catch block
		         //e.printStackTrace(); DO NOTHING.
		      }
		   }
		   try
		   {
		      //BufferedWriter for performance, true to set append to file flag
			  Date now = new Date(System.currentTimeMillis());
		      BufferedWriter buf = new BufferedWriter(new FileWriter(logFile, true), 256); 
		      buf.append(now.toLocaleString()+" Log."+relevance+" => "+tag+" - " +message);
		      buf.newLine();
		      buf.close();
		   }
		   catch (IOException e)
		   {
		      // TODO Auto-generated catch block
		      //e.printStackTrace();
		   }
		

		
	}

	
}
