package com.moonapps.commandroid.adapters;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.util.List;

import com.moonapps.commandroid.R;
import com.moonapps.commandroid.listeners.NetworkCheckBoxListener;
import com.moonapps.commandroid.listeners.NetworkDeleteListener;
import com.moonapps.commandroid.listeners.NetworkEditListener;
import com.moonapps.commandroid.networks.WifiSupportUnit;

import android.app.Activity;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.CheckBox;
import android.widget.ImageView;
import android.widget.TextView;

public class WifiSupportAdapter extends ArrayAdapter<WifiSupportUnit>{

	Context context;
	List<WifiSupportUnit> objects;
	
	public WifiSupportAdapter(Context context, int resource, List<WifiSupportUnit> objects) {
		super(context, resource, objects);
		this.context=context;
		this.objects=objects;
		}


	@Override
    public View getView(int position, View convertView, ViewGroup parent) {
		return this.getNewView (position, convertView, parent);                		
	
	}


	private View getNewView(int position, View convertView, ViewGroup parent) {

		WifiSupportUnit wifi = this.getItem(position);
		
		LayoutInflater inflater = (LayoutInflater)this.context.getSystemService
	      							(Context.LAYOUT_INFLATER_SERVICE);
		View view = inflater.inflate(R.layout.listelementnetwork,
									parent, false);

		CheckBox check = (CheckBox) view.findViewById(R.id.netcheckbox);
		check.setChecked(wifi.isEnabled());
		check.setOnCheckedChangeListener(new NetworkCheckBoxListener(wifi, this));
		
		
		TextView nameText = (TextView) view.findViewById(R.id.networkname);
		if (wifi.getName()=="" || wifi.getName()==null)
			nameText.setText(this.context.getText(R.string.no_title));
		else
			nameText.setText(wifi.getName());
		
		TextView ssid = (TextView) view.findViewById(R.id.networkssid);
		if (wifi.getSsid()=="" || wifi.getSsid()==null)
			ssid.setText(this.context.getText(R.string.no_title));
		else
			ssid.setText(wifi.getSsid());
		
		ImageView edit = (ImageView) view.findViewById(R.id.netediticon);
		ImageView delete = (ImageView) view.findViewById(R.id.netdeleteicon);
		edit.setOnClickListener(new NetworkEditListener(position,this, (Activity) this.context));
		delete.setOnClickListener(new NetworkDeleteListener(position, this));
		
		//view.set
		return view;
	}


	
}
