package com.moonapps.commandroid.agents;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import com.moonapps.commandroid.graph.BasicData;


public class BatteryTemperatureAgent extends Agent{

	
	private long delay = 120000;


	public BatteryTemperatureAgent(){
		this.resourceID = Constants.REQUEST_BATTERY_TEMPERATURE;
		this.path="batteryTemperature";
		this.classname="BatteryTemperatureAgent";
	}


	
	@Override
	public boolean isNewData(int value){
		if (this.data.size()>0){
			BasicData last = this.data.get(this.data.size()-1);
			boolean bool = last.getValue()!=value;
			if (bool && last.getTime()+this.delay <System.currentTimeMillis())
				return true;
			else 
				return false;
			
		}
		else
			return true;	
}
	
	
}
