package com.moonapps.commandroid.agents;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import android.content.Context;

public class Constants {

	
	public static final int NO_EXTRA_ERROR = -45;


	public static final String EXTRAKEY_DESTINATION_ID = "commandroid.destination";
	public static final int DEST_BATTERYCONTROLLER = 101;
	public static final int DEST_DATASERVICE = 100;
	public static final int DEST_CONNECTCONTROLLER = 102;
	public static final int DEST_SCREENCONTROLLER = 103;


	public static final String EXTRAKEY_DATATYPE = "commandroid.dataType";
	public static final String EXTRAKEY_GRAPHNUMBER = "commandroid.graphNumber"; //0 o 1
	public static final String EXTRAKEY_DATA = "commandroid.data";				//Entire data.

	

	public static final String ACTION_DATARESPONSE = "commandroid.dataresponse";
	public static final String ACTION_PROFILESRESPONSE = "commandroid.profilesresponse";
	public static final String ACTION_NETWORKSRESPONSE = "commandroid.networksresponse";

	
	public static final int REQUEST_BATTERY_HEALTH = 200;
	public static final int REQUEST_BATTERY_LEVEL = 201;
	public static final int REQUEST_BATTERY_PLUGGED = 202;
	public static final int REQUEST_BATTERY_STATUS = 203;
	public static final int REQUEST_BATTERY_TEMPERATURE = 204;	
	public static final int REQUEST_CONN_TYPE = 300;
	public static final int REQUEST_CONN_SUBTYPE = 301;
	public static final int REQUEST_SCREEN_LOCK = 400;

	public static final String EXTRAKEY_DATAREQUEST = "commandroid.datarequest";
	public static final int BASICDATA_REQUEST = 10;
	public static final int RESPONSE = 11;
	public static final int PROFILES_REQUEST = 600;
	public static final int NETWORKS_REQUEST = 601;
	
	
	public static final String BUNDLEKEY = "bundleData";
	public static final int DIALOG_COLOR_PICKER = 700;
	
	
	public static final long TEMP_TIME_INTERVAL = 1000*120;

	public static final int EDITED_NETWORKS = 705;
	public static final int EDITED_PROFILES = 704;
	public static final String EXTRAKEY_PROFILES = "commandroid.returnprofiles";
	public static final String EXTRAKEY_POSITION = "commandroid.listposition";
	public static final String EXTRAKEY_NETWORKS = "commandroid.returnnetworks";


	public static final int operatorLess = 30;
	public static final int operatorLessEqual = Constants.operatorLess+1;
	public static final int operatorEqual = Constants.operatorLess+2;
	public static final int operatorGreaterEqual = Constants.operatorLess+3;
	public static final int operatorGreater = Constants.operatorLess+4;


	public static final String EXTRAKEY_SCREEN_LOCK = "action_screen";


	public static final int ACTION_VOLUME_RINGTONE = 1201;
	public static final int ACTION_VOLUME_MEDIA = Constants.ACTION_VOLUME_RINGTONE+1;
	public static final int ACTION_VOLUME_ALARM = Constants.ACTION_VOLUME_RINGTONE+2;
	public static final int ACTION_VIBRATE_MODE = Constants.ACTION_VOLUME_RINGTONE+3;
	public static final int ACTION_AIRPLANE_MODE = 1210;
	public static final int ACTION_WIFI = 1211;
	
	public static final String debugTag = "Commandroid";


	public static final String EXTRAKEY_TIMEINTERVAL = "commandroid.timetocheck";
	public static final String ALARM = "commandroid.alarm";


	public static final int wifiAlarm = -23;


	public static final String ACTION_SEND_ALARM = "commandroid.alarmWifi";














	/*
	public static String getStringFromID(Context context, int id){
		String result = "";
		
		switch (id){
		case (Constants.REQUEST_BATTERY_HEALTH):
			result = context.getString(R.string.battery_health);	break;
		case (Constants.REQUEST_BATTERY_LEVEL):
			result = context.getString(R.string.battery_level);		break;
		case (Constants.REQUEST_BATTERY_STATUS):
			result = context.getString(R.string.battery_status);	break;
		case (Constants.REQUEST_BATTERY_PLUGGED):
			result = context.getString(R.string.battery_plugged);	break;
		case (Constants.REQUEST_BATTERY_TEMPERATURE):
			result = context.getString(R.string.battery_temperature);	break;
		case (Constants.REQUEST_CONN_TYPE):
			result = context.getString(R.string.connection_type);	break;
		case (Constants.REQUEST_CONN_SUBTYPE):
			result = context.getString(R.string.connection_subtype);	break;
		
		default:
			result="";
		}

		
		return result;
	}
	*/
    public static int dipTOpx(Context context, int dip){

    	final float scale = context.getResources().getDisplayMetrics().density;
    	int px = (int) (dip * scale + 0.5f);

    	return px;
    }














	public static boolean isValidIP(String ip) {
		// TODO Auto-generated method stub
		
		String PATTERN = 
	        "^([01]?\\d\\d?|2[0-4]\\d|25[0-5])\\." +
	        "([01]?\\d\\d?|2[0-4]\\d|25[0-5])\\." +
	        "([01]?\\d\\d?|2[0-4]\\d|25[0-5])\\." +
	        "([01]?\\d\\d?|2[0-4]\\d|25[0-5])$";
        

	      Pattern pattern = Pattern.compile(PATTERN);
	      Matcher matcher = pattern.matcher(ip);
	      return matcher.matches();             
	

		
	}



	public static boolean isValidNetmask(String netmask) {
		// TODO CREATE NEW FILTER FOR SUBNET MASK
		
		
		return Constants.isValidIP(netmask);
	}
	
	
}
