package com.moonapps.commandroid.agents;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.util.GregorianCalendar;

import com.moonapps.commandroid.LogManager;

import android.content.Context;
import android.os.Bundle;
import android.util.Log;

public class ScreenController extends Controller {

	


	public ScreenController(Context context){
		super();
		this.classname="ScreenController";
		this.initAgents();
		this.loadFile(context);
	}
	
	
	@Override
	protected void initAgents() {
		this.agents.put(Constants.REQUEST_SCREEN_LOCK, new ScreenLockAgent());				

	}

	@Override
	public int processBundle(Bundle bundle) {
		int dataAmount=0;
		
		long tmpTime;
		int tmpScreen = bundle.getInt(Constants.EXTRAKEY_SCREEN_LOCK);

		
		GregorianCalendar cal = (GregorianCalendar) GregorianCalendar.getInstance();
		tmpTime = cal.getTimeInMillis();
		
		dataAmount = dataAmount +
		this.agents.get(Constants.REQUEST_SCREEN_LOCK).processNewData(tmpTime, tmpScreen);
	
		

		String log = "";
		for (Agent e : this.agents.values())
			log = log+" "+ e.getData().size()+" ";
		LogManager.print(Log.INFO, Constants.debugTag, this.classname+" Num data"+log+" d:"+dataAmount);
		
		
		
		
		return dataAmount;
	}

}
