package com.moonapps.commandroid.dialogs;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import com.moonapps.commandroid.R;
import com.moonapps.commandroid.graph.DataGraph;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.graphics.Color;
import android.graphics.PorterDuff;
import android.widget.Button;

public class ColorDialog extends AlertDialog.Builder implements DialogInterface.OnClickListener {

		
	private DataGraph data;
	private Button button;
	private Context ctx;

	public ColorDialog(Context ctx){
		super(ctx);
		this.ctx=ctx;
		this.data = null;
		this.button=null;
  		this.setTitle(R.string.dialog_selectcolor);
		this.setItems(this.getItemsSequence(), this);
	}
	
	public void createDialog(DataGraph data, Button button){
		this.data=data;
		this.button=button;
		this.show();
	}
		
	
	private CharSequence[] getItemsSequence() {
		CharSequence[] colors = new CharSequence[6];
		colors[0]=this.ctx.getString(R.string.dialog_selectRED);
		colors[1]=this.ctx.getString(R.string.dialog_selectGREEN);
		colors[2]=this.ctx.getString(R.string.dialog_selectBLUE);
		colors[3]=this.ctx.getString(R.string.dialog_selectCYAN);
		colors[4]=this.ctx.getString(R.string.dialog_selectYELLOW);
		colors[5]=this.ctx.getString(R.string.dialog_selectMAGENTA);
 		return colors;
	}

	public void onClick(DialogInterface d, int choice) {
		int selected = Color.RED;
		switch (choice) {
		case(0): 
			selected = Color.RED;
			break;
		case(1): 
			selected = Color.GREEN;
			break;
		case(2): 
			selected = Color.BLUE;
			break;
		case(3):  
			selected = Color.CYAN; 
			break;
		case(4): 
			selected = Color.YELLOW;
			break;
		case(5): 
			selected = Color.MAGENTA;	
			break;
			}
		this.button.getBackground().setColorFilter(selected, PorterDuff.Mode.MULTIPLY);

		this.data.setColor(selected);
	
	}
	
}
