package com.moonapps.commandroid.dialogs;
/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.util.ArrayList;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;

import com.moonapps.commandroid.R;
import com.moonapps.commandroid.adapters.ActionAdapter;
import com.moonapps.commandroid.profiles.Action;
import com.moonapps.commandroid.profiles.ActionFactory;
import com.moonapps.commandroid.profiles.ActionInfo;

public class EditActionDialog extends AlertDialog.Builder implements OnClickListener {

	private Context context;
	private ArrayList<ActionInfo> actionsLeft;
	private ActionAdapter adapter;
	private int position;
	private ArrayList<Action> actions;
	
	public EditActionDialog(Context ctx, int position, ActionAdapter adapter, 
			ArrayList<ActionInfo> actionsLeft,ArrayList<Action> actions){
		super(ctx);
		this.context=ctx;
		this.position=position;
		this.actions=actions;
		this.adapter=adapter;
		this.actionsLeft = actionsLeft;
  		this.setTitle(R.string.dialog_selectdata);
		this.setItems(this.getItemsSequence(), (android.content.DialogInterface.OnClickListener) this);
	}

	private String[] getItemsSequence() {

		ArrayList<String> result = new ArrayList<String>();
		String[] sol = new String[0];
		
		
		for (ActionInfo e:actionsLeft){
			result.add((String) this.context.getText(e.getStringID()));
		}
		return (result.toArray(sol));
	}

	
	@Override
	public void onClick(DialogInterface dialog, int which) {
		
		ActionInfo selected = this.actionsLeft.get(which);
		
		this.actions.set(position, ActionFactory.createSTDAction(selected.getId()));

		
		this.adapter.notifyDataSetChanged();
		}

}
