package com.moonapps.commandroid.dialogs;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import org.achartengine.chart.PointStyle;

import com.moonapps.commandroid.R;
import com.moonapps.commandroid.graph.DataGraph;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.widget.Button;

public class PointStyleDialog extends AlertDialog.Builder implements DialogInterface.OnClickListener {

		
	private DataGraph data;
	private Button button;
	private Context ctx;

	public PointStyleDialog(Context ctx){
		super(ctx);
		this.ctx=ctx;
		this.data = null;
		this.button=null;
  		this.setTitle(R.string.dialog_selectcolor);
		this.setItems(this.getItemsSequence(), this);
	}
	
	public void createDialog(DataGraph data, Button button){
		this.data=data;
		this.button=button;
		this.show();
	}
		
	
	private CharSequence[] getItemsSequence() {
		CharSequence[] pointStyles = new CharSequence[6];
		pointStyles[0]=this.ctx.getString(R.string.dialog_selectpointCIRCLE);
		pointStyles[1]=this.ctx.getString(R.string.dialog_selectpointDIAMOND);
		pointStyles[2]=this.ctx.getString(R.string.dialog_selectpointPOINT);
		pointStyles[3]=this.ctx.getString(R.string.dialog_selectpointSQUARE);
		pointStyles[4]=this.ctx.getString(R.string.dialog_selectpointTRIANGLE);
		pointStyles[5]=this.ctx.getString(R.string.dialog_selectpointX);
 		return pointStyles;
	}

	public void onClick(DialogInterface d, int choice) {
		PointStyle selected = PointStyle.POINT;
		switch (choice) {
		case(0): 
			selected = PointStyle.CIRCLE;
			break;
		case(1): 
			selected = PointStyle.DIAMOND;
			break;
		case(2): 
			selected = PointStyle.POINT;
			break;
		case(3):  
			selected = PointStyle.SQUARE;
			break;
		case(4): 
			selected = PointStyle.TRIANGLE;
			break;
		case(5): 
			selected = PointStyle.X;
			break;
			}

		String text = (String) this.getItemsSequence()[choice];
		this.button.setText(text);
		this.data.setStyle(selected);
	
	}
	
}
