package com.moonapps.commandroid.graph;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.io.Serializable;

import android.os.Parcel;
import android.os.Parcelable;

public class BasicData implements Serializable, Parcelable, Comparable<BasicData>{

	
	private static final long serialVersionUID = 1808944212963881233L;
	private long time;
	private int value;

	public BasicData (long time, int value){
		this.time=time;
		this.value=value;
	}
	
	public void setTime(long time) {
		this.time = time;
	}

	public long getTime() {
		return time;
	}

	public void setValue(int value) {
		this.value = value;
	}

	public int getValue() {
		return value;
	}

	
	
	
	//Parcelable Methods.
	
	@Override
	public int describeContents() {
		return 0;
	}

	@Override
	public void writeToParcel(Parcel out, int flags) {
        out.writeLong(this.time);
        out.writeInt(this.value);

	}
	
	public static final Parcelable.Creator<BasicData> CREATOR = new Parcelable.Creator<BasicData>() {
		public BasicData createFromParcel(Parcel in) {
			return new BasicData(in);
		}

		public BasicData[] newArray(int size) {
			return new BasicData[size];
		}
	};

	private BasicData(Parcel in) {
		this (in.readLong(), in.readInt());
	}

	
	@Override
	public int compareTo(BasicData another) {
		return (int)(this.time-another.time);
	}
	
	
	
}
