package com.moonapps.commandroid.graph;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.util.ArrayList;

import org.achartengine.chart.PointStyle;


import android.graphics.Color;

public class DataGraph {

	private ArrayList<BasicData> data;
	private int color;
	private PointStyle style;
	private int id;
	
	public DataGraph(){
		this.data = new ArrayList<BasicData>();
		this.color=
			Color.rgb(100+(int)(Math.random()*125), 
					100+(int)(Math.random()*125),
							100+(int)(Math.random()*125));
		this.style=PointStyle.POINT;
	}
	
	public DataGraph(ArrayList<BasicData> result){
		this.data = result;
		this.color=Color.WHITE;
		this.style=PointStyle.POINT;
	}
	
	public DataGraph(ArrayList<BasicData> newData, int newColor, PointStyle newStyle, int id){
		this.color=newColor;
		this.style=newStyle;
		this.data = newData;
		this.id=id;
	}
	
	
	public void setData(ArrayList<BasicData> data) {
		this.data = data;
	}
	public ArrayList<BasicData> getData() {
		return data;
	}
	public void setStyle(PointStyle style) {
		this.style = style;
	}
	public PointStyle getStyle() {
		return style;
	}
	public void setColor(int color) {
		this.color = color;
	}
	public int getColor() {
		return color;
	}

	public void setId(int id) {
		this.id = id;
	}

	public int getId() {
		return id;
	}
	
	
}
