package com.moonapps.commandroid.listeners;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.util.ArrayList;

import com.moonapps.commandroid.adapters.TriggerAdapter;
import com.moonapps.commandroid.agents.Metric;
import com.moonapps.commandroid.agents.MetricsManager;
import com.moonapps.commandroid.dialogs.TriggerDialog;
import com.moonapps.commandroid.profiles.Trigger;

import android.content.Context;
import android.view.View;
import android.view.View.OnClickListener;


public class AddTriggerListener implements OnClickListener{

	
	private TriggerAdapter adapter;
	private Context context;
	private ArrayList<Trigger> triggers;

	public AddTriggerListener (Context context, TriggerAdapter adapter, ArrayList<Trigger> triggers){
		this.adapter=adapter;
		this.context=context;
		this.triggers = triggers;
	}

	
	@Override
	public void onClick(View v) {
		
		//ALL TRIGGERS
		ArrayList<Metric> metricsTriggers = MetricsManager.getTriggers();
		ArrayList<Metric> metricsChosen = new ArrayList<Metric>();
		
		for (Trigger e: this.triggers){
			Metric temp = MetricsManager.metrics.get(e.getTriggerID());
			if (temp!=null)
				metricsChosen.add(temp);

		}
			
		metricsTriggers.removeAll(metricsChosen);
		
		TriggerDialog dialog2 = new TriggerDialog(this.context, this.adapter, metricsTriggers);
		
		dialog2.show();			
	}
	

	
	

}
