package com.moonapps.commandroid.listeners;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import com.moonapps.commandroid.dialogs.ColorDialog;
import com.moonapps.commandroid.graph.DataGraph;

import android.view.View;
import android.widget.Button;

public class ColorButtonListener implements View.OnClickListener{

	
	private ColorDialog colorDialog;
	private DataGraph data;
	private Button button;

	public ColorButtonListener(ColorDialog colorDialog, DataGraph data, Button button) {
		this.colorDialog = colorDialog;
		this.data = data;
		this.button = button;
	}

	@Override
	public void onClick(View v) {
		
		this.colorDialog.createDialog(data, button);
	}

}
