package com.moonapps.commandroid.listeners;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import android.widget.CompoundButton;
import android.widget.CompoundButton.OnCheckedChangeListener;

import com.moonapps.commandroid.adapters.ProfileAdapter;
import com.moonapps.commandroid.profiles.Profile;

public class ProfileCheckBoxListener implements OnCheckedChangeListener{

	
	private Profile prof;
	private ProfileAdapter adapter;
	
	public ProfileCheckBoxListener (Profile p, ProfileAdapter adapter){
		this.prof=p;
		this.adapter=adapter;
		
	}

	@Override
	public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
		this.prof.setActive(isChecked);
		this.adapter.notifyDataSetChanged();
	}
	
}
