package com.moonapps.commandroid.profiles;
/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import java.io.Serializable;

import com.moonapps.commandroid.LogManager;
import com.moonapps.commandroid.agents.Constants;

import android.content.Context;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.Log;

public class Action implements Serializable, Parcelable{

	private static final long serialVersionUID = 5218960897912533856L;

	private int actionID;
	private int value;
	
	
	public Action (int actionID, int value){
		this.actionID=actionID;
		this.value=value;
	}
	public void execute(Context context){
		LogManager.print(Log.ERROR, Constants.debugTag, "  Action: Wrong method calling. No action done.");
	}


	@Override
	public boolean equals(Object obj) {
	      
		 if(this == obj) return true;

	      if( !(obj instanceof Action) ) return false;

	       Action p = (Action)obj;

	       boolean equals = (this.getActionID() == p.getActionID());
	       equals = equals && (this.getValue() == p.getValue());
	       
	       return equals;
	   }

	
	
	
	public void setActionID(int actionID) {
		this.actionID = actionID;
	}

	public int getActionID() {
		return actionID;
	}

	public void setValue(int value) {
		this.value = value;
	}

	public int getValue() {
		return value;
	}
	

	@Override
	public int describeContents() {
		return 0;
	}

	@Override
	public void writeToParcel(Parcel out, int flags) {
        out.writeInt(this.actionID);
        out.writeInt(this.value);
        //out.writeByte((byte)(this.isSpecialMode ? 1 : 0));
        //out.writeByte((byte)(this.hasValue ? 1 : 0));  
        //out.writeByte((byte)(this.booleanValue ? 1 : 0));  
	}
	
	public static final Parcelable.Creator<Action> CREATOR = new Parcelable.Creator<Action>() {
		public Action createFromParcel(Parcel in) {
			return new Action(in);
		}

		public Action[] newArray(int size) {
			return new Action[size];
		}
	};

	private Action(Parcel in) {
		this (in.readInt(), in.readInt()/*, in.readByte()== 1, 
				in.readByte()== 1,	in.readByte()== 1 */);
	}
	
	
}
