package com.moonapps.commandroid.profiles;
/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import com.moonapps.commandroid.LogManager;
import com.moonapps.commandroid.agents.Constants;

import android.content.Context;
import android.content.Intent;
import android.provider.Settings;
import android.util.Log;

public class ActionAirplaneMode extends Action{




	private static final long serialVersionUID = 2096915799916928070L;



	public ActionAirplaneMode(int value) {
		super(Constants.ACTION_AIRPLANE_MODE, value//, false, true, true
				);
	}
	
	
	
	@Override 
	public void execute(Context context){
		

		boolean isEnabled = true;
		
		
		//CAREFUL. TRUE IS OFF, FALSE IS ON.
		if (this.getValue()>=1)
			isEnabled=false;
		
		LogManager.print(Log.DEBUG, Constants.debugTag, "ACTIONAIRPLANEMODE: "+this.getValue()+ " "+isEnabled);

		
		// toggle airplane mode
		Settings.System.putInt(
		      context.getContentResolver(),
		      Settings.System.AIRPLANE_MODE_ON, isEnabled ? 0 : 1);

		// Post an intent to reload
		Intent intent = new Intent(Intent.ACTION_AIRPLANE_MODE_CHANGED);
		intent.putExtra("state", !isEnabled);
	    context.sendBroadcast(intent);
		
		
		
		
		
	}
	
}
