package com.moonapps.commandroid.profiles;
/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import java.util.HashMap;

public class ActionInfo {

	

	private int id;
	private int stringID;
	private boolean canExecute;
	private boolean usesValue;
	private boolean isDiscrete;
	private HashMap<Integer, Integer> values;
	private double minValue;
	private double stdValue;
	private double maxValue;

	
	public ActionInfo(int id, int stringID, boolean isExecutable, boolean usesValue,
			boolean isDiscrete, HashMap<Integer, Integer> values, 
			double minValue, double stdValue, double maxValue){
		this.id=id;
		this.stringID=stringID;
		this.canExecute=isExecutable;
		this.usesValue=usesValue;
		this.setDiscrete(isDiscrete);
		this.setMinValue(minValue);
		this.setStdValue(stdValue);
		this.setMaxValue(maxValue);
		this.values=values;
	}
	
	
	public void setId(int id) {
		this.id = id;
	}
	public int getId() {
		return id;
	}
	public void setUsesValue(boolean usesValue) {
		this.usesValue = usesValue;
	}
	public boolean usesValue() {
		return usesValue;
	}
	public void setCanExecute(boolean isExecutable) {
		this.canExecute = isExecutable;
	}
	public boolean canExecute() {
		return canExecute;
	}


	public void setDiscrete(boolean isDiscrete) {
		this.isDiscrete = isDiscrete;
	}


	public boolean isDiscrete() {
		return isDiscrete;
	}


	public void setValues(HashMap<Integer, Integer> values) {
		this.values = values;
	}


	public HashMap<Integer, Integer> getValues() {
		return values;
	}


	public void setMinValue(double minValue) {
		this.minValue = minValue;
	}


	public double getMinValue() {
		return minValue;
	}


	public void setStdValue(double stdValue) {
		this.stdValue = stdValue;
	}


	public double getStdValue() {
		return stdValue;
	}


	public void setMaxValue(double maxValue) {
		this.maxValue = maxValue;
	}


	public double getMaxValue() {
		return maxValue;
	}


	public void setStringID(int stringID) {
		this.stringID = stringID;
	}


	public int getStringID() {
		return stringID;
	}
}
