package com.moonapps.commandroid.profiles;
/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import com.moonapps.commandroid.LogManager;
import com.moonapps.commandroid.agents.Constants;

import android.content.Context;
import android.media.AudioManager;
import android.util.Log;

public class ActionVolumeAlarm extends Action{

	private static final long serialVersionUID = 7392942703527866051L;



	public ActionVolumeAlarm(int value) {
		super(Constants.ACTION_VOLUME_ALARM, value   /*, false, true, false*/);
	}
	
	
	
	@Override 
	public void execute(Context context){

		if (this.getValue()>100) 
			this.setValue(100);
		if (this.getValue()<0) 
			this.setValue(0);
		double value = this.getValue()/100.0;
	
		AudioManager audioManager = (AudioManager)context.getSystemService(Context.AUDIO_SERVICE);
	
		int max = audioManager.getStreamMaxVolume(AudioManager.STREAM_ALARM);
		int volume = (int) (((double)max)*value);
	
		audioManager.setStreamVolume(AudioManager.STREAM_ALARM,volume, 0);

		LogManager.print(Log.DEBUG, Constants.debugTag, "ActionVolumeAlarm: MAX: "+max+" Volume: "+volume);
	}
	
}
