package com.moonapps.commandroid.profiles;
/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import java.util.Comparator;

import android.util.Log;

import com.moonapps.commandroid.LogManager;
import com.moonapps.commandroid.agents.Constants;

public class ProfileTriggerComparator<T> implements Comparator<T>{

	@Override
	public int compare(Object prof1, Object prof2) {
		
		Profile profA = (Profile) prof1;
		Profile profB = (Profile) prof2;
		
		int sizeA=0;
		if (profA!=null)
			if (profA.getTriggers()!=null)
				sizeA = profA.getTriggers().size();
		

		int sizeB=0;
		if (profB!=null)
			if (profB.getTriggers()!=null)
				sizeB = profB.getTriggers().size();

		if (sizeA==sizeB){
			//LogManager.print(Log.VERBOSE, Constants.debugTag, "----EMPATE.");
			if (profA.isUsingTimer() && !profB.isUsingTimer())
				return -1;
			if (!profA.isUsingTimer() && profB.isUsingTimer())
				return +1;
			
			//LogManager.print(Log.VERBOSE, Constants.debugTag, "----AMBOS CON TIEMPO.");
			long timeA=0;
			long timeB=0;
			if (profA.isUsingTimer() && profB.isUsingTimer())
				timeA = profA.getMilliDayEnd()-profA.getMilliDayStart();
				timeB = profB.getMilliDayEnd()-profB.getMilliDayStart();
				LogManager.print(Log.VERBOSE, Constants.debugTag, "----Resolucion:"+ (int) (timeA-timeB));

				return (int) (timeA-timeB);
		}
		LogManager.print(Log.VERBOSE, Constants.debugTag, "----"+profA.getName()+"A:"+sizeA+" B:"+profB.getName()+" "+sizeB+ "B-A="+(sizeB-sizeA));

		return sizeB-sizeA;
	}

}
