package com.moonapps.commandroid.profiles;
/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import com.moonapps.commandroid.agents.Constants;
import com.moonapps.commandroid.agents.Metric;
import com.moonapps.commandroid.agents.MetricsManager;

public class TriggerFactory {

	
	
	static public Trigger createSTDTrigger(int id){
		Trigger result = new Trigger(id, Constants.operatorEqual, 0);
		
		Metric current = MetricsManager.metrics.get(id);
		result.setValue((int) current.getStdValue());
		
		if (current.isDiscrete())
			result.setOperator(Constants.operatorEqual);
		else
			result.setOperator(Constants.operatorLess);
		
		return result;
	}
	
	
	static public Trigger createTrigger(int id, int operator, int value){
		Trigger result = new Trigger(id, operator, value);
		
		Metric current = MetricsManager.metrics.get(id);
		
		if (result.getValue()<current.getMinValue() || result.getValue()>current.getMaxValue())
			result.setValue((int) current.getStdValue());
		
		if (current.isDiscrete())
			result.setOperator(Constants.operatorEqual);
		else if (operator<Constants.operatorLess || operator>Constants.operatorGreater)
			result.setOperator(Constants.operatorLess);
		
		
		return result;

	}

}
